Loading...
Searching...
No Matches
STLIO.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/iostream.h>`
`#include <casacore/casa/Logging/LogIO.h>`
`#include <vector>`
`#include <set>`
`#include <list>`
`#include <map>`

Go to the source code of this file.

## Classes

struct | casacore::STLIO_global_functions_Container_IO
| More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Functions

template<typename T, typename U>
ostream & | casacore::operator<< (ostream &os, const std::pair< T, U > &p)
template<typename T>
ostream & | casacore::operator<< (ostream &os, const std::vector< T > &v)
template<typename T>
ostream & | casacore::operator<< (ostream &os, const std::set< T > &v)
template<typename T>
ostream & | casacore::operator<< (ostream &os, const std::list< T > &v)
template<typename T, typename U>
ostream & | casacore::operator<< (ostream &os, const std::map< T, U > &m)